<?php
namespace App\Model\Entities;

use App\Model\Entities\GameData\Mmorpg\Faction;
use App\Model\Entities\GameData\Mmorpg\Server;
use Doctrine\ORM\Mapping as ORM;


/**
 * @ORM\Entity
 */
class MmorpgGuild extends CommunitySite
{
    /**
     * @var Server
     * @ORM\ManyToOne(targetEntity="App\Model\Entities\GameData\Mmorpg\Server")
     */
    protected $server;

    /**
     * @var Faction
     * @ORM\ManyToOne(targetEntity="App\Model\Entities\GameData\Mmorpg\Faction")
     */
    protected $faction;

    /**
     * @return Faction
     */
    public function getFaction() : Faction
    {
        return $this->faction;
    }

    /**
     * @param Faction $faction
     */
    public function setFaction(Faction $faction)
    {
        $this->faction = $faction;
    }

    /**
     * @return Server
     */
    public function getServer() : Server
    {
        return $this->server;
    }

    /**
     * @param Server $server
     */
    public function setServer(Server $server)
    {
        $this->server = $server;
    }

    public function isGuildSite() : bool
    {
        return true;
    }


}